<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){$art_iva=$_POST['art_iva'];} else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){$nombre=$_POST['nombre'];}
if (isset($_POST['vent_tipo'])){$vent_tipo=$_POST['vent_tipo'];}
  
if (!empty($cantidad))
{
    $sqll=mysqli_query($con,"SELECT vent_art_id FROM venta_detalle_temp WHERE vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and vent_tipo='detallado'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can7=mysqli_query($con,"SELECT * FROM venta_detalle_temp WHERE vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and vent_tipo='detallado'") or die(mysqli_error($con));  
        while($dato=mysqli_fetch_array($can7))
        {
            $c=$dato['vent_cantidad'];
            $suma=$c+$cantidad;
        }
        $registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$suma',vent_precio='$precio_venta' 
        Where vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and vent_tipo='detallado'") or die(mysqli_error($con));
    }
    else
    {  
        $can=mysqli_query($con,"SELECT MAX(vent_id)as vent_id FROM venta_detalle_temp ") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can) ;
        $vent_id=$dato['vent_id']+1;

        $insert_tmp=mysqli_query($con, "INSERT INTO venta_detalle_temp (vent_id,art_art_id,vent_art_id,vent_referencia,vent_nombre,vent_cantidad,vent_iva,vent_desc,vent_precio,vent_tipo,usuario,empresa) 
        VALUES ('$vent_id','0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','detallado','$usu_id','$empresa')");
    }
} 
?>